#!/bin/sh

# Where rpm are found by default (/usr/src/redhat is for redhat)
RPMS_DIR=/usr/src/redhat

DBH=1.0.18
GTK_XFCE_ENGINE=2.1.10
LIBXFCE4MCS=4.0.6
LIBXFCE4UTIL=4.0.6
LIBXFCEGUI4=4.0.6
XFCE4_ICONBOX=4.0.6
XFCE4_MIXER=4.0.6
XFCE4_SYSTRAY=4.0.6
XFCE4_THEMES=4.0.6
XFCE4_TOYS=4.0.6
XFCE4_TRIGGER_LAUNCHER=4.0.6
XFCE_MCS_MANAGER=4.0.6
XFCE_MCS_PLUGINS=4.0.6
XFCE_PANEL=4.0.6
XFCE_UTILS=4.0.6
XFCALENDAR=0.1.9
XFDESKTOP=4.0.6
XFFM=4.0.6
XFFM_ICONS=4.0.6
XFPRINT=4.0.6
XFWM4=4.0.6
XFWM4_THEMES=4.0.6

mkdir rpm
mkdir rpm/$1
mkdir srpm

set -e

rpmbuild -ta src/dbh-$DBH.tar.gz && \
mv -v $RPMS_DIR/SRPMS/dbh-$DBH-1.src.rpm srpm/dbh-$DBH-1.src.rpm && \
mv -v $RPMS_DIR/RPMS/i386/dbh-$DBH-1.i386.rpm rpm/$1/dbh-$DBH-1$1.i386.rpm && \
rpm -Uvh --replacefiles --replacepkgs --nodeps rpm/$1/dbh-$DBH-1$1.i386.rpm


rpmbuild -ta src/gtk-xfce-engine-$GTK_XFCE_ENGINE.tar.gz && \
mv -v $RPMS_DIR/SRPMS/gtk-xfce-engine-$GTK_XFCE_ENGINE-1.src.rpm srpm/gtk-xfce-engine-$GTK_XFCE_ENGINE-1.src.rpm && \
mv -v $RPMS_DIR/RPMS/i386/gtk-xfce-engine-$GTK_XFCE_ENGINE-1.i386.rpm rpm/$1/gtk-xfce-engine-$GTK_XFCE_ENGINE-1$1.i386.rpm && \
rpm -Uvh --replacefiles --replacepkgs --nodeps rpm/$1/gtk-xfce-engine-$GTK_XFCE_ENGINE-1$1.i386.rpm


rpmbuild -ta src/libxfce4util-$LIBXFCE4UTIL.tar.gz && \
mv -v $RPMS_DIR/SRPMS/libxfce4util-$LIBXFCE4UTIL-1.src.rpm srpm/libxfce4util-$LIBXFCE4UTIL-1.src.rpm && \
mv -v $RPMS_DIR/RPMS/i386/libxfce4util-$LIBXFCE4UTIL-1.i386.rpm rpm/$1/libxfce4util-$LIBXFCE4UTIL-1$1.i386.rpm && \
mv -v $RPMS_DIR/RPMS/i386/libxfce4util-devel-$LIBXFCE4UTIL-1.i386.rpm rpm/$1/libxfce4util-devel-$LIBXFCE4UTIL-1$1.i386.rpm && \
rpm -Uvh --replacefiles --replacepkgs --nodeps rpm/$1/libxfce4util-$LIBXFCE4UTIL-1$1.i386.rpm && \
rpm -Uvh --replacefiles --replacepkgs --nodeps rpm/$1/libxfce4util-devel-$LIBXFCE4UTIL-1$1.i386.rpm


rpmbuild -ta src/libxfcegui4-$LIBXFCEGUI4.tar.gz && \
mv -v $RPMS_DIR/SRPMS/libxfcegui4-$LIBXFCEGUI4-1.src.rpm srpm/libxfcegui4-$LIBXFCEGUI4-1.src.rpm && \
mv -v $RPMS_DIR/RPMS/i386/libxfcegui4-$LIBXFCEGUI4-1.i386.rpm rpm/$1/libxfcegui4-$LIBXFCEGUI4-1$1.i386.rpm && \
mv -v $RPMS_DIR/RPMS/i386/libxfcegui4-devel-$LIBXFCEGUI4-1.i386.rpm rpm/$1/libxfcegui4-devel-$LIBXFCEGUI4-1$1.i386.rpm && \
rpm -Uvh --replacefiles --replacepkgs --nodeps rpm/$1/libxfcegui4-$LIBXFCEGUI4-1$1.i386.rpm && \
rpm -Uvh --replacefiles --replacepkgs --nodeps rpm/$1/libxfcegui4-devel-$LIBXFCEGUI4-1$1.i386.rpm

rpmbuild -ta src/libxfce4mcs-$LIBXFCE4MCS.tar.gz && \
mv -v $RPMS_DIR/SRPMS/libxfce4mcs-$LIBXFCE4MCS-1.src.rpm srpm/libxfce4mcs-$LIBXFCE4MCS-1.src.rpm && \
mv -v $RPMS_DIR/RPMS/i386/libxfce4mcs-$LIBXFCE4MCS-1.i386.rpm rpm/$1/libxfce4mcs-$LIBXFCE4MCS-1$1.i386.rpm && \
mv -v $RPMS_DIR/RPMS/i386/libxfce4mcs-devel-$LIBXFCE4MCS-1.i386.rpm rpm/$1/libxfce4mcs-devel-$LIBXFCE4MCS-1$1.i386.rpm && \
rpm -Uvh --replacefiles --replacepkgs --nodeps rpm/$1/libxfce4mcs-$LIBXFCE4MCS-1$1.i386.rpm && \
rpm -Uvh --replacefiles --replacepkgs --nodeps rpm/$1/libxfce4mcs-devel-$LIBXFCE4MCS-1$1.i386.rpm


rpmbuild -ta src/xfce-mcs-manager-$XFCE_MCS_MANAGER.tar.gz && \
mv -v $RPMS_DIR/SRPMS/xfce-mcs-manager-$XFCE_MCS_MANAGER-1.src.rpm srpm/xfce-mcs-manager-$XFCE_MCS_MANAGER-1.src.rpm && \
mv -v $RPMS_DIR/RPMS/i386/xfce-mcs-manager-$XFCE_MCS_MANAGER-1.i386.rpm rpm/$1/xfce-mcs-manager-$XFCE_MCS_MANAGER-1$1.i386.rpm && \
mv -v $RPMS_DIR/RPMS/i386/xfce-mcs-manager-devel-$XFCE_MCS_MANAGER-1.i386.rpm rpm/$1/xfce-mcs-manager-devel-$XFCE_MCS_MANAGER-1$1.i386.rpm && \
rpm -Uvh --replacefiles --replacepkgs --nodeps rpm/$1/xfce-mcs-manager-$XFCE_MCS_MANAGER-1$1.i386.rpm && \
rpm -Uvh --replacefiles --replacepkgs --nodeps rpm/$1/xfce-mcs-manager-devel-$XFCE_MCS_MANAGER-1$1.i386.rpm


rpmbuild -ta src/xfce-mcs-plugins-$XFCE_MCS_PLUGINS.tar.gz && \
mv -v $RPMS_DIR/SRPMS/xfce-mcs-plugins-$XFCE_MCS_PLUGINS-1.src.rpm srpm/xfce-mcs-plugins-$XFCE_MCS_PLUGINS-1.src.rpm && \
mv -v $RPMS_DIR/RPMS/i386/xfce-mcs-plugins-$XFCE_MCS_PLUGINS-1.i386.rpm rpm/$1/xfce-mcs-plugins-$XFCE_MCS_PLUGINS-1$1.i386.rpm && \
rpm -Uvh --replacefiles --replacepkgs --nodeps rpm/$1/xfce-mcs-plugins-$XFCE_MCS_PLUGINS-1$1.i386.rpm


rpmbuild -ta src/xfce-utils-$XFCE_UTILS.tar.gz && \
mv -v $RPMS_DIR/SRPMS/xfce-utils-$XFCE_UTILS-1.src.rpm srpm/xfce-utils-$XFCE_UTILS-1.src.rpm && \
mv -v $RPMS_DIR/RPMS/i386/xfce-utils-$XFCE_UTILS-1.i386.rpm rpm/$1/xfce-utils-$XFCE_UTILS-1$1.i386.rpm && \
rpm -Uvh --replacefiles --replacepkgs --nodeps rpm/$1/xfce-utils-$XFCE_UTILS-1$1.i386.rpm


rpmbuild -ta src/xfcalendar-$XFCALENDAR.tar.gz && \
mv -v $RPMS_DIR/SRPMS/xfcalendar-$XFCALENDAR-1.src.rpm srpm/xfcalendar-$XFCALENDAR-1.src.rpm && \
mv -v $RPMS_DIR/RPMS/i386/xfcalendar-$XFCALENDAR-1.i386.rpm rpm/$1/xfcalendar-$XFCALENDAR-1$1.i386.rpm && \
rpm -Uvh --replacefiles --replacepkgs --nodeps rpm/$1/xfcalendar-$XFCALENDAR-1$1.i386.rpm


rpmbuild -ta src/xfdesktop-$XFDESKTOP.tar.gz && \
mv -v $RPMS_DIR/SRPMS/xfdesktop-$XFDESKTOP-1.src.rpm srpm/xfdesktop-$XFDESKTOP-1.src.rpm && \
mv -v $RPMS_DIR/RPMS/i386/xfdesktop-$XFDESKTOP-1.i386.rpm rpm/$1/xfdesktop-$XFDESKTOP-1$1.i386.rpm && \
rpm -Uvh --replacefiles --replacepkgs --nodeps rpm/$1/xfdesktop-$XFDESKTOP-1$1.i386.rpm


rpmbuild -ta src/xfce4-panel-$XFCE_PANEL.tar.gz && \
mv -v $RPMS_DIR/SRPMS/xfce4-panel-$XFCE_PANEL-1.src.rpm srpm/xfce4-panel-$XFCE_PANEL-1.src.rpm && \
mv -v $RPMS_DIR/RPMS/i386/xfce4-panel-$XFCE_PANEL-1.i386.rpm rpm/$1/xfce4-panel-$XFCE_PANEL-1$1.i386.rpm && \
rpm -Uvh --replacefiles --replacepkgs --nodeps rpm/$1/xfce4-panel-$XFCE_PANEL-1$1.i386.rpm


rpmbuild -ta src/xfce4-iconbox-$XFCE4_ICONBOX.tar.gz && \
mv -v $RPMS_DIR/SRPMS/xfce4-iconbox-$XFCE4_ICONBOX-1.src.rpm srpm/xfce4-iconbox-$XFCE4_ICONBOX-1.src.rpm && \
mv -v $RPMS_DIR/RPMS/i386/xfce4-iconbox-$XFCE4_ICONBOX-1.i386.rpm rpm/$1/xfce4-iconbox-$XFCE4_ICONBOX-1$1.i386.rpm && \
rpm -Uvh --replacefiles --replacepkgs --nodeps rpm/$1/xfce4-iconbox-$XFCE4_ICONBOX-1$1.i386.rpm


rpmbuild -ta src/xffm-$XFFM.tar.gz && \
mv -v $RPMS_DIR/SRPMS/xffm-$XFFM-1.src.rpm srpm/xffm-$XFFM-1.src.rpm && \
mv -v $RPMS_DIR/RPMS/i386/xffm-$XFFM-1.i386.rpm rpm/$1/xffm-$XFFM-1$1.i386.rpm && \
rpm -Uvh --replacefiles --replacepkgs --nodeps rpm/$1/xffm-$XFFM-1$1.i386.rpm


rpmbuild -ta src/xfprint-$XFPRINT.tar.gz && \
mv -v $RPMS_DIR/SRPMS/xfprint-$XFPRINT-1.src.rpm srpm/xfprint-$XFPRINT-1.src.rpm && \
mv -v $RPMS_DIR/RPMS/i386/xfprint-$XFPRINT-1.i386.rpm rpm/$1/xfprint-$XFPRINT-1$1.i386.rpm && \
rpm -Uvh --replacefiles --replacepkgs --nodeps rpm/$1/xfprint-$XFPRINT-1$1.i386.rpm


rpmbuild -ta src/xfwm4-$XFWM4.tar.gz && \
mv -v $RPMS_DIR/SRPMS/xfwm4-$XFWM4-1.src.rpm srpm/xfwm4-$XFWM4-1.src.rpm && \
mv -v $RPMS_DIR/RPMS/i386/xfwm4-$XFWM4-1.i386.rpm rpm/$1/xfwm4-$XFWM4-1$1.i386.rpm && \
rpm -Uvh --replacefiles --replacepkgs --nodeps rpm/$1/xfwm4-$XFWM4-1$1.i386.rpm


rpmbuild -ta src/xfce4-mixer-$XFCE4_MIXER.tar.gz && \
mv -v $RPMS_DIR/SRPMS/xfce4-mixer-$XFCE4_MIXER-1.src.rpm srpm/xfce4-mixer-$XFCE4_MIXER-1.src.rpm && \
mv -v $RPMS_DIR/RPMS/i386/xfce4-mixer-$XFCE4_MIXER-1.i386.rpm rpm/$1/xfce4-mixer-$XFCE4_MIXER-1$1.i386.rpm && \
rpm -Uvh --replacefiles --replacepkgs --nodeps rpm/$1/xfce4-mixer-$XFCE4_MIXER-1$1.i386.rpm


rpmbuild -ta src/xfce4-toys-$XFCE4_TOYS.tar.gz && \
mv -v $RPMS_DIR/SRPMS/xfce4-toys-$XFCE4_TOYS-1.src.rpm srpm/xfce4-toys-$XFCE4_TOYS-1.src.rpm && \
mv -v $RPMS_DIR/RPMS/i386/xfce4-toys-$XFCE4_TOYS-1.i386.rpm rpm/$1/xfce4-toys-$XFCE4_TOYS-1$1.i386.rpm && \
rpm -Uvh --replacefiles --replacepkgs --nodeps rpm/$1/xfce4-toys-$XFCE4_TOYS-1$1.i386.rpm


rpmbuild -ta src/xfce4-themes-$XFCE4_THEMES.tar.gz && \
mv -v $RPMS_DIR/SRPMS/xfce4-themes-$XFCE4_THEMES-1.src.rpm srpm/xfce4-themes-$XFCE4_THEMES-1.src.rpm && \
mv -v $RPMS_DIR/RPMS/noarch/xfce4-themes-$XFCE4_THEMES-1.noarch.rpm rpm/$1/xfce4-themes-$XFCE4_THEMES-1$1.noarch.rpm && \
rpm -Uvh --replacefiles --replacepkgs --nodeps rpm/$1/xfce4-themes-$XFCE4_THEMES-1$1.noarch.rpm


rpmbuild -ta src/xfce4-systray-$XFCE4_SYSTRAY.tar.gz && \
mv -v $RPMS_DIR/SRPMS/xfce4-systray-$XFCE4_SYSTRAY-1.src.rpm srpm/xfce4-systray-$XFCE4_SYSTRAY-1.src.rpm && \
mv -v $RPMS_DIR/RPMS/i386/xfce4-systray-$XFCE4_SYSTRAY-1.i386.rpm rpm/$1/xfce4-systray-$XFCE4_SYSTRAY-1$1.i386.rpm && \
rpm -Uvh --replacefiles --replacepkgs --nodeps rpm/$1/xfce4-systray-$XFCE4_SYSTRAY-1$1.i386.rpm


rpmbuild -ta src/xfce4-trigger-launcher-$XFCE4_TRIGGER_LAUNCHER.tar.gz && \
mv -v $RPMS_DIR/SRPMS/xfce4-trigger-launcher-$XFCE4_TRIGGER_LAUNCHER-1.src.rpm srpm/xfce4-trigger-launcher-$XFCE4_TRIGGER_LAUNCHER-1.src.rpm && \
mv -v $RPMS_DIR/RPMS/i386/xfce4-trigger-launcher-$XFCE4_TRIGGER_LAUNCHER-1.i386.rpm rpm/$1/xfce4-trigger-launcher-$XFCE4_TRIGGER_LAUNCHER-1$1.i386.rpm && \
rpm -Uvh --replacefiles --replacepkgs --nodeps rpm/$1/xfce4-trigger-launcher-$XFCE4_TRIGGER_LAUNCHER-1$1.i386.rpm


rpmbuild -ta src/xfwm4-themes-$XFWM4_THEMES.tar.gz && \
mv -v $RPMS_DIR/SRPMS/xfwm4-themes-$XFWM4_THEMES-1.src.rpm srpm/xfwm4-themes-$XFWM4_THEMES-1.src.rpm && \
mv -v $RPMS_DIR/RPMS/noarch/xfwm4-themes-$XFWM4_THEMES-1.noarch.rpm rpm/$1/xfwm4-themes-$XFWM4_THEMES-1$1.noarch.rpm && \
rpm -Uvh --replacefiles --replacepkgs --nodeps rpm/$1/xfwm4-themes-$XFWM4_THEMES-1$1.noarch.rpm


rpmbuild -ta src/xffm-icons-$XFFM_ICONS.tar.gz && \
mv -v $RPMS_DIR/SRPMS/xffm-icons-$XFFM_ICONS-1.src.rpm srpm/xffm-icons-$XFFM_ICONS-1.src.rpm && \
mv -v $RPMS_DIR/RPMS/i386/xffm-icons-$XFFM_ICONS-1.i386.rpm rpm/$1/xffm-icons-$XFFM_ICONS-1$1.i386.rpm && \
rpm -Uvh --replacefiles --replacepkgs --nodeps rpm/$1/xffm-icons-$XFFM_ICONS-1$1.i386.rpm

cd ..
echo All done
